#include <iostream>
#include <vector>
#include <cmath>

using namespace std;

int main()
{
    int n, k;
    cin >> n >> k;
    vector<int> v(n);
    for (int i = 0; i < n; i++){
        cin >> v[i];
    }
    for (int i = 0; i < k - 1; i++){
        if (v[0] > v[n - 1]){
            v[n - 1] -= v[0];
            n--;
            v.erase(v.begin());
        }
        else{
            v[0] -= v[n - 1];
            n--;
            v.pop_back();
        }
    }
    if (v[0] <= v[v.size() - 1])
        cout << abs(v[0]);
    else cout << abs(v[v.size() - 1]);
	return 0;
}